
%global meadversion 4.0.0
%global namedversion 4.0.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package elytron-web}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.0.0.Final-redhat-00001

Name:           %{?scl_prefix}elytron-web
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WildFly Elytron Web
Group:          Development/Java

%if %with mead
Source100: elytron-web-parent-4.0.0.Final-redhat-00001-project-sources.tar.gz
Source102: undertow-common-test-4.0.0.Final-redhat-00001.pom
Source103: undertow-common-test-4.0.0.Final-redhat-00001-sources.jar
Source104: undertow-common-test-4.0.0.Final-redhat-00001.jar
Source105: undertow-server-4.0.0.Final-redhat-00001-sources.jar
Source106: undertow-server-servlet-4.0.0.Final-redhat-00001.jar
Source107: undertow-server-servlet-4.0.0.Final-redhat-00001.pom
Source108: elytron-web-parent-4.0.0.Final-redhat-00001.pom
Source109: undertow-server-4.0.0.Final-redhat-00001.pom
Source110: undertow-server-servlet-4.0.0.Final-redhat-00001-sources.jar
Source111: undertow-server-4.0.0.Final-redhat-00001.jar
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly-security/elytron-web
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Integration project for integrating Elytron based HTTP authentication with web
containers.

%if %with javadoc
%package javadoc
Summary:        Javadoc for elytron-web
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n elytron-web-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/undertow-server-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-server-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-server-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-server-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-server-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-server-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/undertow-server-servlet-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-server-servlet-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-server-servlet-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-server-servlet-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-server-servlet-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-server-servlet-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/elytron-web-%{namedversion}
unzip -qq %{_sourcedir}/elytron-web-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/elytron-web-%{namedversion} -x META-INF/\*
%{__ln_s} elytron-web-%{namedversion} %{buildroot}%{_javadocdir}/elytron-web
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.md CONTRIBUTING.md
%{_javadir}/undertow-server-%{namedversion}.jar
%{_javadir}/undertow-server.jar
%{_javadir}/undertow-server-servlet-%{namedversion}.jar
%{_javadir}/undertow-server-servlet.jar
%if %with javadoc
%{_javadir}/undertow-server-%{namedversion}-javadoc.jar
%{_javadir}/undertow-server-javadoc.jar
%{_javadir}/undertow-server-servlet-%{namedversion}-javadoc.jar
%{_javadir}/undertow-server-servlet-javadoc.jar
%endif
%{_javadir}/undertow-server-%{namedversion}-sources.jar
%{_javadir}/undertow-server-sources.jar
%{_javadir}/undertow-server-servlet-%{namedversion}-sources.jar
%{_javadir}/undertow-server-servlet-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/elytron-web-%{namedversion}
%{_javadocdir}/elytron-web
%endif

%changelog
* Fri Sep 08 2023 cpaas-ops <cpaas-ops@redhat.com> - 4.0.0-1.Final_redhat_00001.1
- Built by CPaaS

* Mon Apr 24 2023 cpaas-ops <cpaas-ops@redhat.com> - 3.0.1-1.Final_redhat_00001.1
- Built by CPaaS

* Mon Jan 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 3.0.0-3.Final_redhat_00001.1
- Built by CPaaS

* Thu Sep 15 2022 Permaine Cheung <pcheung@redhat.com> - 3.0.0-2.Beta1_redhat_00001.1
- Package jars in main package

* Fri Aug 19 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.0.0-1.Beta1_redhat_00001.1
- Built by CPaaS
